Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert.service
Class SpringBindingConverterAdapter

    java.lang.Object
      org.springframework.binding.convert.service.SpringBindingConverterAdapter

All Implemented Interfaces:
  org.springframework.core.convert.converter.GenericConverter

    public class SpringBindingConverterAdapter

extends java.lang.Object
implements org.springframework.core.convert.converter.GenericConverter

A Spring Converter that makes it possible for a Spring Binding Converter to be registered with a Spring `ConversionService`.

Author:
  Rossen Stoyanchev

Nested Class Summary

Nested classes/interfaces inherited from interface org.springframework.core.convert.converter.GenericConverter
`org.springframework.core.convert.converter.GenericConverter.ConvertiblePair`

Constructor Summary
`SpringBindingConverterAdapter(Converter converter)`

Method Summary
`java.lang.Object` | `convert(java.lang.Object source, org.springframework.core.convert.TypeDescriptor sourceType, org.springframework.core.convert.TypeDescriptor targetType)`
`java.util.Set` | `getConvertibleTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBindingConverterAdapter

    public SpringBindingConverterAdapter(Converter converter)

Method Detail

### convert

    public java.lang.Object convert(java.lang.Object source,
                                    org.springframework.core.convert.TypeDescriptor sourceType,
                                    org.springframework.core.convert.TypeDescriptor targetType)

  Specified by:
    `convert` in interface `org.springframework.core.convert.converter.GenericConverter`

### getConvertibleTypes

    public java.util.Set getConvertibleTypes()

  Specified by:
    `getConvertibleTypes` in interface `org.springframework.core.convert.converter.GenericConverter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD